/* Custom mixins */
clx-cms-fahrzeuge-hero {
  position: relative;
  display: block;
  padding: 0 !important;
  margin: 0 !important;
  --cms-fahrzeuge-hero-footer-padding: var(--sl-spacing-large);
}
clx-cms-fahrzeuge-hero.sl-theme-light {
  --cms-fahrzeuge-hero-headline-text-shadow-col: #8A8A90;
  --cms-fahrzeuge-hero-footer-background: rgba(255, 255, 255, 0.55);
}
clx-cms-fahrzeuge-hero.sl-theme-dark {
  --cms-fahrzeuge-hero-headline-text-shadow-col: #1A1A20;
  --cms-fahrzeuge-hero-footer-background: rgba(0, 0, 0, 0.45);
}
@media only screen and (min-width: 1024px) {
  clx-cms-fahrzeuge-hero {
    --cms-fahrzeuge-hero-footer-padding: var(--sl-spacing-x-large);
  }
}
.cms-fahrzeuge-hero__bg picture img {
  width: 100%;
  height: auto;
}
.cms-fahrzeuge-hero__footer {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: var(--cms-fahrzeuge-hero-footer-padding);
  background: var(--cms-fahrzeuge-hero-footer-background);
}
.cms-fahrzeuge-hero__footer .cms-fahrzeuge-hero__footer-content {
  display: flex;
  flex-direction: column;
  gap: var(--sl-spacing-medium);
}
@media only screen and (min-width: 1024px) {
  .cms-fahrzeuge-hero__footer .cms-fahrzeuge-hero__footer-content {
    display: grid;
    grid-template-columns: 1fr fit-content(500px);
  }
}
.cms-fahrzeuge-hero__sticky-footer {
  --cms-fahrzeuge-hero-sticky-footer-padding: var(--sl-spacing-medium);
  padding: var(--cms-fahrzeuge-hero-sticky-footer-padding);
}
@media only screen and (min-width: 1024px) {
  .cms-fahrzeuge-hero__sticky-footer {
    --cms-fahrzeuge-hero-sticky-footer-padding: var(--sl-spacing-large);
  }
}
@media only screen and (min-width: 1024px) {
  .cms-fahrzeuge-hero__sticky-footer .cms-fahrzeuge-hero__sticky-footer-content {
    display: grid;
    grid-template-columns: 1fr fit-content(500px);
    gap: var(--sl-spacing-medium);
  }
}
.cms-fahrzeuge-hero__sticky-footer .cms-fahrzeuge-hero__footer-headings {
  display: none;
}
@media only screen and (min-width: 1024px) {
  .cms-fahrzeuge-hero__sticky-footer .cms-fahrzeuge-hero__footer-headings {
    display: block;
  }
}
.cms-fahrzeuge-hero__footer-headings {
  text-shadow: 1px 1px 2px var(--cms-fahrzeuge-hero-headline-text-shadow-col);
}
.cms-fahrzeuge-hero__footer-headings h1,
.cms-fahrzeuge-hero__footer-headings h2,
.cms-fahrzeuge-hero__footer-headings h3,
.cms-fahrzeuge-hero__footer-headings h4,
.cms-fahrzeuge-hero__footer-headings h5,
.cms-fahrzeuge-hero__footer-headings h6 {
  margin: 0;
}
.cms-fahrzeuge-hero__footer-headings .heading-1 {
  margin-bottom: 0;
}
.cms-fahrzeuge-hero__cta {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.cms-fahrzeuge-hero__cta .cms-fahrzeuge-hero__cta-label {
  margin-bottom: var(--sl-spacing-medium);
}
.cms-fahrzeuge-hero__cta .cms-fahrzeuge-hero__cta-buttons {
  display: flex;
  gap: var(--sl-spacing-large);
}
.cms-fahrzeuge-hero__cta .cms-fahrzeuge-hero__cta-buttons sl-button::part(base) {
  height: 100%;
}
